import { AbstractSession } from "@zowe/imperative";
import { IZosLogType } from "./doc/IZosLogType";
import { IZosLogParms } from "./doc/IZosLogParms";
/**
 * Get zos log via z/OSMF restful api
 * @export
 * @class GetZosLog
 */
export declare class GetZosLog {
    /**
     * Issue an z/OSMF log command, returns "raw" z/OSMF response
     * @static
     * @param {AbstractSession} session representing connection to this api
     * @param {IZosLogParms} commandParms log api parameters, @see {IZosLogParms}
     * @return {Promise<IZosLogType>} command response , @see {IZosLogType}
     * @memberof GetLog
     */
    static getZosLog(session: AbstractSession, commandParms: IZosLogParms): Promise<IZosLogType>;
    /**
     * Get resource path for z/OSMF log restful api
     * @static
     * @param {IZosLogParms} commandParms params to compose the resource path
     * @return {string} resource path
     * @memberof GetCommand
     */
    static getResourcePath(commandParms: IZosLogParms): string;
}
