/**
 * The z/OSMF log API parameters. See the z/OSMF REST API documentation for full details.
 * @export
 * @interface IZosLogParms
 */
export interface IZosLogParms {
    /**
     * The z/OS log api time param.
     * @type {any]
     * @memberof ILogParms
     */
    startTime?: any;
    /**
     * The direction param.
     * @type {string}
     * @memberof ILogParms
     */
    direction?: "forward" | "backward";
    /**
     * The timeRange param.
     * @type {string}
     * @memberof ILogParms
     */
    range?: string;
    /**
     * The z/OSMF Console API returns '\r' or '\r\n' where line-breaks. Can attempt to replace these
     * sequences with '\n', but there may be cases where that is not preferable. Specify false to prevent processing.
     * @type {string}
     * @memberof IConsoleParms
     */
    processResponses?: boolean;
}
